/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * PurchaseLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface PurchaseOrderLocal extends EJBLocalObject
{
    public String getOrderNumber()
        throws EJBException;

    public float getTotal()
        throws EJBException;

    public CustomerLocal getCustomer()
        throws EJBException;

    public Collection getItems()
        throws EJBException;
}
